local MAJOR = "LibScriptableDisplayPluginNameplate-1.0"
local MINOR = 14
assert(LibStub, MAJOR.." requires LibStub")
local PluginNameplate = LibStub:NewLibrary(MAJOR, MINOR)
if not PluginNameplate then return end
local LibNameplate = LibStub("LibNameplate-1.0")
assert(LibNameplate, MAJOR .. " requires LibNameplate-1.0")

-- Create a new plugin - populates an environment with fields
-- @usage :New(environment)
-- @return A new PluginNameplate object
function PluginNameplate:New(environment)

	environment.LibNameplate = LibNameplate
	
	return environment
end
