
local MAJOR = "LibScriptableDisplayPluginTransition-1.0"
local MINOR = 14
assert(LibStub, MAJOR.." requires LibStub")
local PluginTransition = LibStub:NewLibrary(MAJOR, MINOR)
if not PluginTransition then return end
local LibTransition = LibStub("LibTransition-1.0")
assert(LibTransition, MAJOR .. " requires LibTransition-1.0")

-- Create a new plugin
-- @usage :New(environment)
-- @return A new PluginTransition object - populates an environment with functions
function PluginTransition:New(environment)

	environment.LibTransition = LibTransition
	
	return environment
end
